Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.portal.portlet
Class PortletIDBuilder

    java.lang.Object
      com.bea.portal.tools.resource.ResourceIDBuilder<T>
          com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<T>
              com.bea.portal.tools.resource.WebAppResourceIDBuilder<T>
                  com.bea.portal.tools.resource.ParentedResourceIDBuilder<T>
                      com.bea.portal.tools.portal.PortalParentedResourceIDBuilder<T>
                          com.bea.portal.tools.portal.DesktopParentedResourceIDBuilder<PortletID>
                              com.bea.portal.tools.portal.portlet.PortletIDBuilder

All Implemented Interfaces
  Serializable, Cloneable

    public final class PortletIDBuilder

extends DesktopParentedResourceIDBuilder<PortletID>

Identifies the collection of portal resource definitions.

See Also
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.bea.portal.tools.resource.ResourceIDBuilder
`ResourceIDBuilder.ParseContext`

Field Summary

Fields inherited from class com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder
`tags`

Constructor Summary
`PortletIDBuilder()` Constructor.

Method Summary
`PortletID` | `createResourceID()` Create the `PortletID`.
`PageDefinitionId` | `getPageDefinitionId()`
`PageDefinitionID` | `getPageDefinitionID()` Get the `PageDefinitionID` for the page definition that this portlet is placed on in the library.
`PortletInstanceId` | `getPortletInstanceId()` Get the `PortletInstanceId`.
`protected DesktopParentedResourceID` | `narrowParentedResourceID(ResourceID parentedResourceID)` Use this to narrow to a specific resourceId type in subclasses
`PortletIDBuilder` | `parseResourceURN(String resourceURN)` Parse the given URN.
`PortletIDBuilder` | `setPageDefinitionId(PageDefinitionId pageDefinitionId)`
`PortletIDBuilder` | `setPageDefinitionID(PageDefinitionID pageDefinitionID)`
`PortletIDBuilder` | `setPortletInstanceId(PortletInstanceId portletInstanceId)` Change the `PortletInstanceId`.

Methods inherited from class com.bea.portal.tools.portal.DesktopParentedResourceIDBuilder
`getDesktopDefinitionID, setDesktopDefinitionID`

Methods inherited from class com.bea.portal.tools.portal.PortalParentedResourceIDBuilder
`getPortalID, setPortalID`

Methods inherited from class com.bea.portal.tools.resource.ParentedResourceIDBuilder
`getParentResourceID, getRawParentResourceID, setParentResourceID`

Methods inherited from class com.bea.portal.tools.resource.WebAppResourceIDBuilder
`getWebApp, getWebAppResourceID, setWebApp, setWebAppResourceID`

Methods inherited from class com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder
`clone, getTag, getTags, getTagValue, getTagValue, parseResourcePath, processResourceTags, reset, setTagValue`

Methods inherited from class com.bea.portal.tools.resource.ResourceIDBuilder
`createParseContext, getExpectedResourceType, getResourceType, getResourceURN, parseResourceTypeNamespaceURI, parseResourceURN, resolveResourceType, setExpectedResourceType, setResourceType, setResourceURN, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PortletIDBuilder

    public PortletIDBuilder()

  Constructor.

Method Detail

### parseResourceURN

    public PortletIDBuilder parseResourceURN(String resourceURN)

  Parse the given URN. resourceURN the URN of the referrent resource this `PortletIDBuilder`

  Overrides:
    `parseResourceURN` in class `DesktopParentedResourceIDBuilder<PortletID>`
  Parameters
    `resourceURN` - the URN of the referrent resource
  Returns
    this `TaggedResourceIDBuilder`

### getPortletInstanceId

    public PortletInstanceId getPortletInstanceId()

  Get the `PortletInstanceId`.

  Returns
    the `PortletInstanceId`

### setPortletInstanceId

    public PortletIDBuilder setPortletInstanceId(PortletInstanceId portletInstanceId)

  Change the `PortletInstanceId`.

  Parameters
    `portletId` - the `PortletInstanceId`
  Returns
    this `PortletIDBuilder`

### getPageDefinitionID

    public PageDefinitionID getPageDefinitionID()

  Get the `PageDefinitionID` for the page definition that this portlet is placed on in the library. This method will return `null` if this portlet is not a page definition.

  Returns
    `PageDefinitionID`

### getPageDefinitionId

    public PageDefinitionId getPageDefinitionId()

### setPageDefinitionID

    public PortletIDBuilder setPageDefinitionID(PageDefinitionID pageDefinitionID)

### setPageDefinitionId

    public PortletIDBuilder setPageDefinitionId(PageDefinitionId pageDefinitionId)

### createResourceID

    public PortletID createResourceID()

  Create the `PortletID`. the `PortletID`

  Overrides:
    `createResourceID` in class `ResourceIDBuilder<PortletID>`
  Returns
    the `ResourceID`

### narrowParentedResourceID

    protected DesktopParentedResourceID narrowParentedResourceID(ResourceID parentedResourceID)

  Description copied from class: `ParentedResourceIDBuilder`
  Use this to narrow to a specific resourceId type in subclasses

  Overrides:
    `narrowParentedResourceID` in class `DesktopParentedResourceIDBuilder<PortletID>`
  Returns

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.